<nav th:fragment="navbar" class="navbar navbar-light navbar-expand-lg fixed-top bg-white clean-navbar"
     xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/html">
    <div class="container">
        <a class="navbar-brand logo" th:href="@{/}" th:text="#{label.app.name}">MyMarket</a>

        <button data-toggle="collapse" class="navbar-toggler" data-target="#navcol-1">
            <span class="sr-only">Toggle navigation</span>
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse"
             id="navcol-1">
            <ul class="nav navbar-nav ml-auto">
                <li class="nav-item" sec:authorize="isAnonymous()">
                    <a class="nav-link" th:href="@{/login}" th:text="#{label.log-in}">Log-in</a>
                </li>
                <li class="nav-item dropdown" sec:authorize="isAuthenticated()">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDarkDropdownMenuLink" role="button"
                       data-bs-toggle="dropdown" aria-expanded="false"
                       sec:authentication="name">Dropdown</a>
                    <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDarkDropdownMenuLink">
                        <li><a class="dropdown-item" th:href="@{/profile}" th:text="#{label.edit_profile}">Edit
                            profile</a></li>
                        <li><a class="dropdown-item" th:href="@{/logout}" th:text="#{label.log-out}">Log-out</a></li>
                    </ul>
                </li>
                <li class="nav-item" sec:authorize="hasRole('ROLE_ADMIN')">
                    <div class="row">
                        <a class="nav-link" th:href="@{/admin/categories}" th:text="#{label.categories}"></a>
                    </div>
                </li>
                <li class="nav-item" sec:authorize="hasRole('ROLE_ADMIN')">
                    <div class="row">
                        <a class="nav-link" th:href="@{/admin/users}" th:text="#{label.users}"></a>
                    </div>
                </li>
                <li class="nav-item" sec:authorize="hasRole('ROLE_ADMIN')">
                    <div class="row">
                        <a class="nav-link" th:href="@{/admin/orders}" th:text="#{label.orders}"></a>
                    </div>
                </li>
                <li class="nav-item" sec:authorize="hasRole('ROLE_USER')">
                    <div class="row">
                    <a class="nav-link" th:href="@{/shopping-cart}" th:text="#{label.shopping_cart}">Shopping cart</a>
                    <a class="nav-link" th:href="@{/shopping-cart}" th:text="'(' + ${session.selectedProducts.quantities.size()} + ')'" th:if="${session.selectedProducts != null}">Shopping cart</a>
                    </div>
                </li>
                <select class="nav-item form-select border-0" id="locales" data-width="fit">
                    <option th:selected="${#locale.getLanguage()} == 'en'" value="en" th:text="#{label.lang.english}">
                        English
                    </option>
                    <option th:selected="${#locale.getLanguage()} == 'uk'" value="uk" th:text="#{label.lang.ukrainian}">
                        Українська
                    </option>
                </select>
            </ul>
        </div>
    </div>
</nav>
